WCSSTR(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
wcsstr - find a wide-character substring

SYNOPSIS

#include <wchar.h>

wchar_t *wcsstr(const wchar_t *restrict ws1,
const wchar_t *restrict ws2);

DESCRIPTION

The wcsstr() function shall locate the first occurrence in the wide-character string pointed to by ws1 of the sequence of wide characters (excluding the terminating null wide character) in the wide-character string pointed to by ws2.

RETURN VALUE

Upon successful completion, wcsstr() shall return a pointer to the located wide-character string, or a null pointer if the wide-character string is not found.

If ws2 points to a wide-character string with zero length, the function shall return ws1.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

wcschr(), the Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .